gr.zeus.ui.mdi

## Class JInternalFrameComparator

- java.lang.Object
- - gr.zeus.ui.mdi.JInternalFrameComparator

- All Implemented Interfaces:
    java.util.Comparator<javax.swing.JInternalFrame>

      public final class JInternalFrameComparator
      extends java.lang.Object
      implements java.util.Comparator<javax.swing.JInternalFrame>

  A simple comparator for `JInternalFrames`, based on their title.

  Since:
    1.04
  Author:
    Gregory Kotsaftis

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JInternalFrameComparator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(javax.swing.JInternalFrame o1, javax.swing.JInternalFrame o2)` Compares internal frames based on their title.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Constructor Detail

    - #### JInternalFrameComparator

          public JInternalFrameComparator()

  - ### Method Detail

    - #### compare

          public int compare(javax.swing.JInternalFrame o1,
                             javax.swing.JInternalFrame o2)

      Compares internal frames based on their title.

      Specified by:
        `compare` in interface `java.util.Comparator<javax.swing.JInternalFrame>`
      Parameters:
        `o1` - First frame.
        `o2` - Second frame.

      Returns:
        The comparison.